<div class="center-container">
    <h2>Heroes List</h2>
    <ul class="heroes">
     <li *ngFor="let hero of heroes">
      <button type="button" (click)="onSelect(hero)">
     <span class="badge">{{hero.id}}</span>
     <span class="name">{{hero.name}}</span>
     </button>
     </li>
    </ul>
    </div>
    <div class="center-container">
        <h2>Hero Details</h2>
        <div *ngIf="selectedHero">
          <div><span class="bold-label">Id: </span>{{selectedHero.id}} | <span class="bold-label">Hero Name: </span> <input [(ngModel)]="selectedHero.name" placeholder="name" />
          </div>
        </div>
    
    